cpw.mods.fml.common.event

## Class FMLInterModComms

- java.lang.Object
- - cpw.mods.fml.common.event.FMLInterModComms

-     public class FMLInterModComms
      extends java.lang.Object

  Simple intermod communications to receive simple messages directed at you from other mods

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FMLInterModComms.IMCEvent` Subscribe to this event to receive your messages (they are sent between `Init` and `PostInit`)
    `static class` | `FMLInterModComms.IMCMessage` You will receive an instance of this for each message sent

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLInterModComms()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.common.collect.ImmutableList<FMLInterModComms.IMCMessage>` | `fetchRuntimeMessages(java.lang.Object forMod)` Retrieve any pending runtime messages for the mod
    `static boolean` | `sendMessage(java.lang.String modId, java.lang.String key, ItemStack value)`
    `static boolean` | `sendMessage(java.lang.String modId, java.lang.String key, NBTTagCompound value)`
    `static boolean` | `sendMessage(java.lang.String modId, java.lang.String key, java.lang.String value)`
    `static void` | `sendRuntimeMessage(java.lang.Object sourceMod, java.lang.String modId, java.lang.String key, ItemStack value)`
    `static void` | `sendRuntimeMessage(java.lang.Object sourceMod, java.lang.String modId, java.lang.String key, NBTTagCompound value)`
    `static void` | `sendRuntimeMessage(java.lang.Object sourceMod, java.lang.String modId, java.lang.String key, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLInterModComms

          public FMLInterModComms()

  - ### Method Detail

    - #### sendMessage

          public static boolean sendMessage(java.lang.String modId,
                            java.lang.String key,
                            NBTTagCompound value)

    - #### sendMessage

          public static boolean sendMessage(java.lang.String modId,
                            java.lang.String key,
                            ItemStack value)

    - #### sendMessage

          public static boolean sendMessage(java.lang.String modId,
                            java.lang.String key,
                            java.lang.String value)

    - #### sendRuntimeMessage

          public static void sendRuntimeMessage(java.lang.Object sourceMod,
                                java.lang.String modId,
                                java.lang.String key,
                                NBTTagCompound value)

    - #### sendRuntimeMessage

          public static void sendRuntimeMessage(java.lang.Object sourceMod,
                                java.lang.String modId,
                                java.lang.String key,
                                ItemStack value)

    - #### sendRuntimeMessage

          public static void sendRuntimeMessage(java.lang.Object sourceMod,
                                java.lang.String modId,
                                java.lang.String key,
                                java.lang.String value)

    - #### fetchRuntimeMessages

          public static com.google.common.collect.ImmutableList<FMLInterModComms.IMCMessage> fetchRuntimeMessages(java.lang.Object forMod)

      Retrieve any pending runtime messages for the mod
      Parameters:
        `forMod` - The `Mod.Instance` of the Mod to fetch messages for
      Returns:
        any messages - the collection will never be null